﻿<%@ Page Language="C#" MasterPageFile="~/Site.Master" Title="Grid" AutoEventWireup="true" CodeBehind="GridFeatures.aspx.cs" Inherits="SyncfusionASPNETApplication46.GridFeatures" %>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <script type="text/javascript">
        function recordClick(args) {
            var index = this.model.pageSettings.currentPage - 1;
            if (!($(args.cell).hasClass("e-checkcell"))) {
                if (ej.isNullOrUndefined(this.checkSelectedRowsIndexes[index]))
                    this.selectRows(args.rowIndex);
                else if ($(args.row).attr("aria-selected")) { // Deselecting
                    $(args.row).removeAttr("aria-selected").find(".e-selectionbackground").removeClass("e-selectionbackground").removeClass("e-active");
                    var checkBoxIndex = $.inArray(args.rowIndex, this.checkSelectedRowsIndexes[index]);
                    this.checkSelectedRowsIndexes[index].splice(checkBoxIndex, 1);
                    $(args.row).find(".e-checkcelldiv [type=checkbox]").prop("checked", false);
                }
                else {
                    this.checkSelectedRowsIndexes[index].push(args.rowIndex);
                    this.selectRows(this.checkSelectedRowsIndexes[index]);
                }
            }
        }
    </script>
             <div>
        <asp:UpdatePanel runat="server">
            <ContentTemplate>
                <ej:Grid ID="OrdersGrid" runat="server" ClientIDMode="Static" AllowPaging="True"   >
                    <ClientSideEvents RecordClick="recordClick" />
                    <Columns>
                        <ej:Column Type="checkbox" Width="90"></ej:Column>
                        <ej:Column Field="OrderID" HeaderText="Order ID" IsPrimaryKey="true" TextAlign="Right" Width="90">       
                        </ej:Column>
                        <ej:Column Field="CustomerID" HeaderText="Customer ID" Width="90">
                        </ej:Column>
                        <ej:Column Field="ShipCountry" HeaderText="ShipCountry" Width="90" EditType="Dropdown" />
                    </Columns>
                 
                </ej:Grid>
            </ContentTemplate>
        </asp:UpdatePanel>
    
</asp:Content>
